import React, { Component } from 'react';
import './veri-code-input.scss'

import classnames from 'classnames'

import Input from '../Input'

class VeriCodeInput extends Component {
    constructor(props) {
        super(props);
        this.state = {
            veriCode: '',
            counting: false,
            count: 20
        }
        this.timer = null
    }

    countDown = () => {
        let {count} = this.state
        if (!this.state.counting) {
            this.sendCode()
            this.setState({count: count--})
            this.setState({counting: true})
            this.timer = setInterval(() => {
                if (count <= 0) {
                    this.setState({counting: false})
                    clearInterval(this.timer)
                    return
                }
                this.setState({count: count--})
            }, 1000)
        }
    }

    sendCode = () => {

    }

    handleChange = (val) => {
        let {onChange} = this.props
        this.setState({veriCode: val})
        onChange && onChange(val)
    }

    render() {
        let {onChange, type = 'number', placeholder = '', className, ...rest} = this.props
        return (
            <Input
                type={type}
                placeholder={placeholder}
                onChange={this.handleChange}
                wrapperClass={className}
                {...rest}
            >
                <button className={classnames('verify', {active: !this.state.counting})} onClick={this.countDown}>
                    {
                        this.state.counting ?
                            (`重新发送${this.state.count}s`)
                            : '发送验证码'
                    }
                </button>
            </Input>
        );
    }
}

export default VeriCodeInput;