import React, { Component } from 'react'
import './study.scss'

import { Flex } from 'antd-mobile'
import { NavLink, Route, Switch } from "react-router-dom"
import MyCourses from "./myCourses"
import FreeCourses from './freeCourses'





class Study extends Component {

    render() {
        const {match} = this.props;
        return (
            <section id='study'>
                <Flex className='tab'>
                    <Flex.Item>
                        <NavLink to={`${match.url}/my-course`} activeClassName='active'>我的课程</NavLink>
                    </Flex.Item>
                    <Flex.Item>
                        <NavLink to={`${match.url}/free-course`} activeClassName='active'>免费课程</NavLink>
                    </Flex.Item>
                </Flex>
                <div className="study-container">
                    <Switch>
                        <Route path={`${this.props.match.path}/my-course`} component={MyCourses}/>
                        <Route path={`${this.props.match.path}/free-course`} component={FreeCourses}/>
                    </Switch>
                </div>
            </section>
        )
    }

}

export default Study